Skip to main content

Atrium API

List Members

This endpoint returns an array which contains information on every member associated with a specific user.

GET
/users/{user_guid}/members

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/users/{user_guid}/members' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_23
{
_23
"members": [
_23
{
_23
"aggregated_at": "2016-10-13T18:07:57+00:00",
_23
"connection_status": "CONNECTED",
_23
"guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_23
"identifier": "unique_id",
_23
"institution_code": "mxbank",
_23
"is_being_aggregated": true,
_23
"metadata": "{\"credentials_last_refreshed_at\": \"2015-10-15\"}",
_23
"name": "MX Bank",
_23
"status": "INITIATED",
_23
"successfully_aggregated_at": "2016-10-13T17:57:38+00:00",
_23
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_23
}
_23
],
_23
"pagination": {
_23
"current_page": 1,
_23
"per_page": 25,
_23
"total_entries": 1,
_23
"total_pages": 1
_23
}
_23
}